# Leveraged Vaults

## Get Leveraged Vault Configuration Parameters

The `getVaultConfig` method can be used to get a Leverage Vault's parameters:

```
vaultConfigs = notional.getVaultConfig(vaultAddress)
vaultFeeRate = vaultConfigs["feeRate"]/1e9
liquidationRate = vaultConfigs["liquidationRate"]/1e9 - 1
reserveFeeShare = vaultConfigs["reserveFeeShare"]/100
minAccountBorrowSize = vaultConfigs["minAccountBorrowSize"]/1e8
maxRequiredAccountCollateralRatio = vaultConfigs["maxRequiredAccountCollateralRatio"]/1e9
maxDeleverageCollateralRatio = vaultConfigs["maxDeleverageCollateralRatio"]/1e9
minCollateralRatio = vaultConfigs["minCollateralRatio"]/1e9
```

## Fetch a Leveraged Vault State

The `getVaultState` method can be called to get the total amount of vault shares and debts of a given leveraged vault strategy:

```
vaultState = notional.getVaultState(accountAddress, maturityTimestamp)
totalVaultShares = vaultState["totalVaultShares"]
totalDebtUnderlying = vaultState["totalDebtUnderlying"]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/contract-interaction-guides/leveraged-vaults.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
